package com.xhpc.general.domain;
import com.xhpc.common.core.web.domain.BaseEntity;

/**
 * This is a data entity of dictionary.
 * program: ruoyi
 * User: HongYun
 * Date:2021-07-27 11
 */
public class XhpcDictionary extends BaseEntity {

    private Long dictBizId;
    private Long parentId;
    private String code;
    private String dictKey;
    private String dictValue;
    private Integer sort;
    private Integer delFlag;


    public String getCode() {
        return code;
    }

    /**
     * This is the dictionary's code.
     * @param code
     */
    public void setCode(String code) {
        this.code = code;
    }

    public String getDictKey() {
        return dictKey;
    }

    public void setDictKey(String dictKey) {
        this.dictKey = dictKey;
    }

    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public Long getDictBizId() {
        return dictBizId;
    }

    public void setDictBizId(Long dictBizId) {
        this.dictBizId = dictBizId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
